
QGIS Application - Bug report #9468

cannot add ring in a polygon

2014-01-31 01:51 AM - Denis Rouzaud

Status: Closed

Priority: High

Assignee:

Category: Digitising

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18060

Description

I received a mail from someone having troubles to add ring in polygons on postgis layers.

He tried both 2.0 and master, without success.

Attached a desktop recording.

Does someone know what to look for?

I have pretty much no idea as I can't reproduce.

Associated revisions

Revision a0fc024e - 2014-02-08 12:27 PM - Jürgen Fischer

enable geometry changing polygon tools only when 'change geometry' capability is available.

OGR's postgresql driver apparently doesn't support geometry updates (fixes #9468)

History

#1 - 2014-01-31 02:05 AM - Denis Rouzaud

could not join the video, here it is:

http://youtu.be/d06KI0igcP0

Content:

    -  add a ring to a fresh polygon in shapefile works

    -  add a ring to a fresh polygon to a postgis layer via OGR doesn't work.

#2 - 2014-01-31 05:28 AM - Rémi Bovard

Is the geom MultiPolygon?

#3 - 2014-01-31 06:15 AM - Denis Rouzaud

his answer:

I am having some problems with registration.

I will try later on again.

My geometry is Polygon, but I have just tried with MultiPolygon as well and still it is the same problem.
#4 - 2014-02-08 03:27 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"a0fc024e76b9f40cff1bfde76e6dbf8111c7eb3a".

#5 - 2014-02-08 03:30 AM - Jürgen Fischer

Jürgen Fischer wrote:

Fixed in changeset commit:"a0fc024e76b9f40cff1bfde76e6dbf8111c7eb3a".

Use the native postgres provider (ie. Add PostGIS layers instead of Add Vector layer), if you want to update geometries.
